/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\HellBlade.cs
Lines of code: 40

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class HellBlade : VikingSword
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public HellBlade() : base()
		{
			Name="Hellblade";
			Hue=1161;


			Attributes.WeaponDamage=100;
			Attributes.WeaponSpeed=50;
			WeaponAttributes.HitLeechHits = 33;
			WeaponAttributes.HitLeechMana = 33;
			WeaponAttributes.HitLeechStam = 33;		
		
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=100;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;		
		}

		public HellBlade( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
}